### Method

# Clutter TextureContent get_texture

#### Declaration [src]

    CoglTexture*
    clutter_texture_content_get_texture (
      ClutterTextureContent* texture_content
    )

#### Description [src]

Retrieves a pointer to the `CoglTexture` used by `texture_content`.

If you change the contents of the returned `CoglTexture` you will need to manually invalidate the `texture_content` with `clutter_content_invalidate()` in order to update the actors using `texture_content` as their content.

#### Return value

Type: `CoglTexture`

A pointer to the `CoglTexture`.

The returned data is owned by the instance.